# PDOResultFormatter

Abstract

author | Hans Lellelid hans@xmpl.org
package | phing.tasks.ext.pdo
since | 2.3.0

### Methods

## Perform any final tasks and Close the writer.

    close()

## Gets the output writer.

    getOutput() : \Writer

### Response

`\Writer`

## Gets the preferred output filename for this formatter.

    getPreferredOutfile() : string

abstract

### Response

`string`

## Perform any initialization.

    initialize()

## Processes a specific row from PDO result set.

    processRow(array $row)

abstract

### Arguments

#### $row

`array`

Row of PDO result set.

## Sets the output writer.

    setOutput(\Writer $out)

### Arguments

#### $out

`\Writer`

### Properties

## Output writer.

    out : \Writer

var |

### Type(s)

`\Writer`